This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | JSONObject
Name | ### setString()
Examples |
    JSONObject json;

    void setup() {

      json = new JSONObject();

      json.setInt("count", 88);
      json.setFloat("weight", 35.432);
      json.setString("name", "celery");
      json.setBoolean("isFruit", false);

      int count = json.getInt("count");
      float weight = json.getFloat("weight");
      String name = json.getString("name");
      boolean isFruit = json.getBoolean("isFruit");

      println(count + ", " + weight + ", " + name + ", " + isFruit);
    }

    // Sketch prints:
    // 88, 35.432, celery, false
Description | Inserts a new key/String pair into the JSONObject or, if a value with the specified key already exists, assigns a new value.
Syntax |
    .setString(key, value)
Parameters |
key | String: a key string
value | String: the value to assign
Returns | JSONObject
Related | setInt() setFloat() setBoolean()

Updated on October 26, 2013 08:58:33pm PDT